import path from 'path'
import { defineConfig } from 'vite'

export default defineConfig(() => {
    return {
        build: {
            lib: {
                entry: path.resolve(__dirname, 'src/index'),
                name: 'toolkit',
                fileName: 'index',
                formats: ['es', 'umd'],
                sourcemap: 'inline'
            },
            outDir: path.resolve(__dirname, 'dist')
        }
    }
})